Skip to main content
POST
/
vaults
/
create
python
import os

from notte_sdk import NotteClient

notte = NotteClient(server_url=os.environ["NOTTE_API_URL"])
# retrieve an existing vault or use console.notte.cc/vaults to create a new one
vault = notte.Vault("<vault_id>")
import { NotteClient } from "notte-sdk";

const notte = new NotteClient();
// retrieve an existing vault or use console.notte.cc/vaults to create a new one
const vault = notte.Vault({ vault_id: "<vault_id>" });
curl -X POST "https://api.notte.cc/vaults/create" \
-H "Authorization: Bearer $NOTTE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"name": "default"
}'
{
  "name": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "vault_id": "<string>",
  "for_persona": false
}
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-notte-request-origin
string | null
x-notte-sdk-version
string | null

Body

application/json
name
string
default:default

Name of the vault

Response

Successful Response

name
string
required
created_at
string<date-time>
required
vault_id
string
required
for_persona
boolean
default:false